module.exports = (db, DataTypes) => {
  return db.define("filedownload", {
    user_id:DataTypes.INTEGER,// 用户id
    userName:DataTypes.STRING,  // 用户名
    code:DataTypes.STRING(100),  // 唯一码
    fileName:DataTypes.STRING(100), // 文件名
    filePath:DataTypes.STRING(300), // 文件路径
    isDownload:{
      type:DataTypes.INTEGER,
      defaultValue:1,
    },
  },{
     paranoid: true,//假的删除
     underscored: true,
     version: true,
     freezeTableName: true,
     //freezeTableName: true,
     // define the table's name
     tableName: 'op_file_download',
     validate: {
     }
  });
}
